Bug 249953 - net-im/telegram-desktop: respect fonts settings
Summary: net-im/telegram-desktop: respect fonts settings
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-28 12:07 UTC by Max Brazhnikov
Modified: 2020-10-12 21:04 UTC (History)
1 user (show)

See Also:
henry.hu.sh: maintainer-feedback+


Attachments
patch (830 bytes, patch)
2020-09-28 12:07 UTC, Max Brazhnikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Brazhnikov freebsd_committer 2020-09-28 12:07:05 UTC
Created attachment 218376 [details]
patch

Default fonts look ugly and there's no way to change them. Once telegram is compiled with DESKTOP_APP_USE_PACKAGED_FONTS=off, it respects KDE/Qt settings for fonts.
Comment 1 Henry Hu 2020-10-10 22:00:51 UTC
This looks good. Tested it and it seems to work. Please commit it.
Comment 2 commit-hook freebsd_committer 2020-10-12 21:02:45 UTC
A commit references this bug:

Author: makc
Date: Mon Oct 12 21:02:11 UTC 2020
New revision: 552150
URL: https://svnweb.freebsd.org/changeset/ports/552150

Log:
  net-im/telegram-desktop: Respect user font settings

  PR:		249953
  Approved by:	maintainer

Changes:
  head/net-im/telegram-desktop/Makefile